Steam for Linux

Steam for Linux

*| ThomaZ |™ Jun 20, 2014 @ 8:37pm
Witcher 2 can't start on kubuntu 14,04
Can't start game on Kubuntu 14.04
Already did evertything, but when trying to launch the game:

/home/kenner/.local/share/Steam/SteamApps/common/the witcher 2/witcher2: error while loading shared libraries: libsteam_api.so: cannot open shared object file: No such file or directory

Here's the output of the comands:

ldd ~/.steam/steam/SteamApps/common/the\ witcher\ 2/witcher2 | grep not
libsteam_api.so => not found
libcurl.so.4 => not found

locate libcurl.so.4
/home/kenner/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libcurl.so.4
/home/kenner/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libcurl.so.4.2.0
/home/kenner/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libcurl.so.4
/home/kenner/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libcurl.so.4.2.0
/usr/lib/x86_64-linux-gnu/libcurl.so.4
/usr/lib/x86_64-linux-gnu/libcurl.so.4.3.0

locate libsteam_api.so
/home/kenner/.local/share/Steam/SteamApps/common/Anomaly Warzone Earth/libsteam_api.so
/home/kenner/.local/share/Steam/SteamApps/common/Dungeon Hearts/DungeonHearts_Data/Plugins/libsteam_api.so
/home/kenner/.local/share/Steam/SteamApps/common/Dust An Elysian Tail/lib/libsteam_api.so
/home/kenner/.local/share/Steam/SteamApps/common/Dust An Elysian Tail/lib64/libsteam_api.so
/home/kenner/.local/share/Steam/SteamApps/common/The Swapper/lib/libsteam_api.so
/home/kenner/.local/share/Steam/SteamApps/common/The Swapper/lib64/libsteam_api.so
/home/kenner/.local/share/Steam/SteamApps/common/dota 2 beta/bin/libsteam_api.so


Maybe some links should work but I haven't a clue of how to do it.
< >
Showing 1-8 of 8 comments
Unyieldingly Jun 21, 2014 @ 4:31am 
what Drivers you have installed and GPU??
*| ThomaZ |™ Jun 21, 2014 @ 4:33am 
It's a radeon HD6670, and I'm using the opensource drivers.
instabilis Jun 21, 2014 @ 5:12am 
The wrapper they used only currently supports nvidia drivers
*| ThomaZ |™ Jun 21, 2014 @ 5:28am 
Edit: It seems ther is support for AMD:
http://www.phoronix.com/forums/showthread.php?100686-Catalyst-14-4-Revised-For-The-Witcher-2-On-Linux

I've installes the catalyst driver but the problem remains.
Last edited by *| ThomaZ |™; Jun 21, 2014 @ 6:13am
Unyieldingly Jun 21, 2014 @ 8:43am 
It only works with The Catalyst 14.6 in my tests
*| ThomaZ |™ Jun 21, 2014 @ 9:54am 
The beta one?

But it's strange i'm getting those lib erros due to the driver.
It looks like you are not launching the game through the Steam client. If you are, then there could be a problem with how LD_LIBRARY_PATH is set up.

libsteam_api.so should be in the same dir as the witcher2 executable
*| ThomaZ |™ Jul 3, 2014 @ 5:16pm 
Actually I found out wat the problem was, I was trying to play the game in portuguese, and it won't work this way, I cahnged the language to english and it "worked"

However the perfomance was so poor that I will not play by now.
< >
Showing 1-8 of 8 comments
Per page: 15 30 50

Date Posted: Jun 20, 2014 @ 8:37pm
Posts: 8